Summary: Portable Windows Libary
Name: pwlib
Version: 1.4.7
Release: 7.EL.XOS.1
URL: http://www.openh323.org/
Source0: pwlib_%{version}.tar.gz
License: MPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Patch0:		pwlib-1.1.36-makefiles.patch
Patch1:		pwlib-asnparser.patch
Patch2:		pwlib-1.2.12-make_j.patch
Patch3:		pwlib-1.3.1-swab.patch
Patch4:		pwlib-1.3.3-regex.patch
Patch5:		pwlib-1.3.11-openssl.patch
Patch6:		pwlib-1.4.7-noipv6.patch
Patch7:		pwlib-1.4.7-bison.patch
Patch8:		pwlib-1.4.7-ranges.patch
BuildPrereq:	expat, openssl-devel, pkgconfig

%description
PWLib is a moderately large class library that has its genesis many
years ago as a method to produce applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated. This version does not contain
any UI code.

It is supplied mainly to support the open H323 project, but that shouldn't stop
you from using it in whatever project you have in mind if you so desire. 

%package devel
Summary: Development package for pwlib
Group: Development/Libraries
Requires: pwlib = %{PACKAGE_VERSION}
%description devel
The pwlib-devel package includes the libraries and header files for pwlib.

%prep
%setup -q -n pwlib
%patch0 -p1 -b .makefiles
%patch1 -p1 -b .asnparser
%patch2 -p1 -b .make_j
%patch3 -p1 -b .swab
%patch4 -p1 -b .regex
%patch5 -p1 -b .openssl
%patch6 -p1 -b .noipv6
%patch7 -p1 -b .bison
%patch8 -p1 -b .ranges

mv src/ptlib/common/regex{,.dontuse}

%build
export PWLIBDIR=%{_builddir}/pwlib
export PWLIB_BUILD="yes"
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

cd tools/asnparser
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/ptclib
mkdir -p $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/ptlib
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/make
cp -d lib/*so* $RPM_BUILD_ROOT%{_libdir}
install include/ptlib.h $RPM_BUILD_ROOT%{_includedir}
install include/ptlib/*.h $RPM_BUILD_ROOT%{_includedir}/ptlib/
install include/ptlib/*.inl $RPM_BUILD_ROOT%{_includedir}/ptlib/
install include/ptlib/unix/ptlib/*.h $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/ptlib
install include/ptlib/unix/ptlib/*.inl $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/ptlib
install include/ptclib/*.h $RPM_BUILD_ROOT%{_includedir}/ptclib/
install tools/asnparser/obj_linux_*/asnparser $RPM_BUILD_ROOT%{_bindir}

cd make
for l in *.mak ; do
	sed -e 's#@prefix@#%{_prefix}#' \
	    -e 's#@makdir@#%{_datadir}/pwlib#' \
		< $l > $RPM_BUILD_ROOT%{_datadir}/%{name}/make/$l
done

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc History.txt ReadMe.txt mpl-1.0.htm
%defattr(-,root,root)
%{_libdir}/libpt*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libpt*.so
%{_includedir}/*
%{_datadir}/pwlib
%attr(755,root,root) %{_bindir}/*

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 1.4.7-7.EL.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on pwlib-1.4.7-7.EL.src.rpm
  (md5sum of original source rpm: 26ea22009305d3f464487f6fd249ffb4).

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 1.4.7-7.EL
- Fix some range checks in asn parser

* Mon Jun 30 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-6.EL
- rebuild for ppc64 crt*.o problems

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  4 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-5
- Add patch to workaround bison problem (bug #92262)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-3
- pwlib-1.4.7-noipv6.patch: Disable ipv6 check, damien claims it's unstable.

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-2
- Oops. deleted a bit much from the specfile

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-1
- Update to 1.4.7

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.3.11-2
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- Use pkg-config to find OpenSSL if pkg-config admits to knowing anything.

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.3.11-1
- Upgrade to 1.3.11
- Remove pwlib-alpha patch. I don't think it's necessary anymore.
- fix %doc

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 1.3.3-5
- Use %{_libdir} etc instead of hardcoding 

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.3.3-3
- rebuilt using gcc-3.2-0.1

* Fri Jul 19 2002 Jakub Jelinek <jakub@redhat.com> 1.3.3-2
- Use glibc regex (and at the same time get rid of non-fpic code)

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 1.3.3-1
- Update to 1.3.3

* Mon Jul  1 2002 Alexander Larsson <alexl@redhat.com> 1.3.1-1
- Update to 1.3.1

* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Added versioned dependency in the devel package
- Fixed line-to-long error in description

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Add the video patch from damien needed for GM 0.85.1

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.2.12

* Thu Nov 29 2001 Alex Larsson <alexl@redhat.com> 1.2.5-1
- Updated to 1.2.5

* Mon Oct 01 2001 Alex Larsson <alexl@redhat.com> 1.1.36-4
- Added defattr

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.1.36-3
- made the devel package require the binary package

* Wed Sep 19 2001 Alex Larsson <alexl@redhat.com> 1.1.36-2
- Added new patch from damien

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.1.36-1
- Upgraded to 1.1.36

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com>
- Patch asnparser makefile so 'make -j...' works completely.

* Wed Jul  4 2001 Alexander Larsson <alexl@redhat.com>
- Borrow some stuff from the Mandrake specfile

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
